org.apache.tomcat.util.http.mapper

## Class Mapper.ContextVersion

- java.lang.Object
- - org.apache.tomcat.util.http.mapper.Mapper.MapElement
  - - org.apache.tomcat.util.http.mapper.Mapper.ContextVersion

Enclosing class:
  Mapper

    protected static final class Mapper.ContextVersion
    extends Mapper.MapElement

### Field Summary

Fields
`Mapper.Wrapper` `defaultWrapper`
`Mapper.Wrapper[]` `exactWrappers`
`Mapper.Wrapper[]` `extensionWrappers`
`int` `nesting`
`String` `path`
`Context` `resources`
`int` `slashCount`
`String[]` `welcomeResources`
`Mapper.Wrapper[]` `wildcardWrappers`

### Fields inherited from class org.apache.tomcat.util.http.mapper.Mapper.MapElement

`name, object`

### Constructor Summary

Constructors
`protected` `Mapper.ContextVersion()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### path

    public String path

#### slashCount

    public int slashCount

#### welcomeResources

    public String[] welcomeResources

#### resources

    public Context resources

#### defaultWrapper

    public Mapper.Wrapper defaultWrapper

#### exactWrappers

    public Mapper.Wrapper[] exactWrappers

#### wildcardWrappers

    public Mapper.Wrapper[] wildcardWrappers

#### extensionWrappers

    public Mapper.Wrapper[] extensionWrappers

#### nesting

    public int nesting

### Constructor Detail

#### Mapper.ContextVersion

    protected Mapper.ContextVersion()